from django import forms
from django.template.defaultfilters import slugify
from django.utils.crypto import get_random_string

from .models import Authentic, Wcs

SECRET_CHARS = 'abcdefghijklmnopqrstuvwxyz0123456789!@#$%^&*(-_=+)'

class AuthenticForm(forms.ModelForm):
    class Meta:
        model = Authentic
        exclude = ('slug', 'last_operational_check_timestamp',
                'last_operational_success_timestamp',
                'secret_key')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        if not self.instance.secret_key:
            self.instance.secret_key = get_random_string(50, SECRET_CHARS)
        return super(AuthenticForm, self).save(commit=commit)


class WcsForm(forms.ModelForm):
    class Meta:
        model = Wcs
        exclude = ('slug', 'last_operational_check_timestamp',
                'last_operational_success_timestamp',
                'secret_key')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        if not self.instance.secret_key:
            self.instance.secret_key = get_random_string(50, SECRET_CHARS)
        return super(WcsForm, self).save(commit=commit)
