from django.conf.urls import patterns, url

from .views import *

urlpatterns = patterns('',
    url(r'^$', HomeView.as_view(), name='environment-home'),
    url(r'^new-variable$', VariableCreateView.as_view()),
    url(r'^update-variable/(?P<pk>\w+)$', VariableUpdateView.as_view(),
        name='update-variable'),
    url(r'^delete-variable/(?P<pk>\w+)$', VariableDeleteView.as_view(),
        name='delete-variable'),
    url(r'^check_operational/(?P<service>\w+)/(?P<slug>[\w-]+)$',
        operational_check_view, name='operational-check'),
    url(r'^new-(?P<service>\w+)$', ServiceCreateView.as_view()),
    url(r'^save-(?P<service>\w+)/(?P<slug>[\w-]+)$', ServiceUpdateView.as_view(), name='save-service'),
    url(r'^delete-(?P<service>\w+)/(?P<slug>[\w-]+)$', ServiceDeleteView.as_view(), name='delete-service'),
    url(r'^installed_services.json$', installed_services_json_view),
    url(r'^operational_services.json$', operational_services_json_view),
)
